### Hierarchy

- MobileMeasurePointController

## Index

### Properties

- $filter_
- active
- drawInteraction
- gettextCatalog_
- gmfRaster_
- map
- mapViewPropertyChangeEventKey_
- measure
- ngeoDebounce_
- options

### Methods

- deactivate
- init
- translate

## Properties

### $filter_

$filter_: IFilterService

- Defined in src/mobile/measure/pointComponent.js:164

### active

active: boolean

- Defined in src/mobile/measure/pointComponent.js:174

### drawInteraction

drawInteraction: default

- Defined in src/mobile/measure/pointComponent.js:195

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/mobile/measure/pointComponent.js:159

### gmfRaster_

gmfRaster_: any

- Defined in src/mobile/measure/pointComponent.js:149

### map

map: Map

- Defined in src/mobile/measure/pointComponent.js:169

### mapViewPropertyChangeEventKey_

mapViewPropertyChangeEventKey_: EventsKey

- Defined in src/mobile/measure/pointComponent.js:202

The key for map view 'propertychange' event.

### measure

measure: default

- Defined in src/mobile/measure/pointComponent.js:190

### ngeoDebounce_

ngeoDebounce_: miscDebounce<(() => void)>

- Defined in src/mobile/measure/pointComponent.js:154

### options

options: any

- Defined in src/mobile/measure/pointComponent.js:144

## Methods

### deactivate

- deactivate(): void

- - Defined in src/mobile/measure/pointComponent.js:235

  Deactivate the directive.

  #### Returns void

### init

- init(): void

- - Defined in src/mobile/measure/pointComponent.js:208

  Initialise the controller.

  #### Returns void

### translate

- translate(str: string): string

- - Defined in src/mobile/measure/pointComponent.js:243

  #### Parameters

  - ##### str: string

    String to translate.

  #### Returns string

  The translated text.

Generated using TypeDoc